Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
Daniel Nicolai
@dalanicolai
But you can remove this when syl20bnr/spacemacs#15046 gets merged
Claudio Jolowicz
@cjolowicz
Thanks so much for all of this!
Daniel Nicolai
@dalanicolai
Hope you enjoy it!
:thumbsup:
Benjamin Schwehn
@bschwehn
Hi, does anyone know if/how it is possible to use the restclient layer with restclient-jq. I'm trying to get this example to work:
GET http://httpbin.org/ip
-> jq-set-var :my-ip .origin
But this gives me the error "Unknown restclient hook type jq-set-var"
Daniel Nicolai
@dalanicolai
@bschwehn I have found pashky/restclient.el#240
Benjamin Schwehn
@bschwehn
Thanks @dalanicolai I also see pashky/restclient.el#257 guess I'd have to try to manually install instead of using the melpa package
Daniel Nicolai
@dalanicolai
Yeah looks like it
You can use the quelpa recipe
Put this in you additional-packages
     (restclient-jq :location (recipe
                             :fetcher github
                             :repo "pashky/restclient.el"))
And require or use-package it
Thorsten Wißmann
@t-wissmann
How can I make spacemacs respect the local variables in a file? I use it for setting the dictionary in a tex file but all local variables simply seem to get ignored (my .spacemacs)
Daniel Nicolai
@dalanicolai
@t-wissmann So where is that variable for the dictionary?
Ah okay in the dictionary file?
Benjamin Schwehn
@bschwehn
Thank you so much @dalanicolai I wasn't familiar with quelpa and that you could use a definition like this in additional-packages. Seems to work so far
Thorsten Wißmann
@t-wissmann
@dalanicolai the variable is set in line 45 of the linked .tex file
Daniel Nicolai
@dalanicolai
I think it could be that you should use just one % sign in front
Not sure, but recently Emacs was complaining that my package had no header when I used three ;;; instead of two
Thorsten Wißmann
@t-wissmann
I've already tried it, the issue still exists with only one %
Daniel Nicolai
@dalanicolai
Okay, well your lines work here at least. So I am not sure why they are not working over there
Thorsten Wißmann
@t-wissmann
Thanks for checking! They worked for many years, but since a couple of months ago, they seem to be ignored (I first didn't notice, and now I don't know what broke them)
Daniel Nicolai
@dalanicolai
Ah well, I have no clue also. I checked your file also (not just the last lines), and it works correctly here also
Thorsten Wißmann
@t-wissmann
Is there anything suspicious in my .spacemacs or is there any other configuration file, spacemacs is reading?
Daniel Nicolai
@dalanicolai
Well it is a little much, but I did not see quickly find anything suspicious
But I guess you should just bisect it (and maybe first try with a clean dotfile)
Thorsten Wißmann
@t-wissmann
OK, I'll do so (right now, I'm reinstalling spacemacs, which could still take a while)
Daniel Nicolai
@dalanicolai
Haha, okay. Well I guess you will find it eventually then... good luck!
Thorsten Wißmann
@t-wissmann
After activating the spell-checking configuration layer in an empty .spacemacs, I obtained this error when opening the file: Error in post-command-hook (flyspell-post-command-hook): (error "No data for dictionary \"german\" in 'ispell-local-dictionary-alist' or 'ispell-dictionary-alist'"). After a few iterations, the message disappeared and the right dictionary was used...
(This is really frustrating...)
Thorsten Wißmann
@t-wissmann
OK, I've found the issue: there was the line (add-hook 'LaTeX-mode-hook 'my-LaTeX-mode) in my user-config, but my-LaTeX-mode was not defined (it was commented out)...
Mark Hutchison
@AstroCoding
Hi there, I am trying to use Spacemacs for OrgMode, and I wanted to install ox-reveal. So I ran M^x package-install ox-reveal, but when opening the Export Buffer, I don't see the reveal setting added. Anyone have any ideas?
It appears to be an Orphan package, so it is being deleted on launch (if that helps, not too familiar with Spacemacs packages)
@t-wissmann Thanks for the reporting back!
Mark Hutchison
@AstroCoding
@dalanicolai Followed all instructions, from creating a layer with the package info to just using "used-but-keep-unused", did not work
QHayward
@QHayward
I've been using spacemacs daily for years. I'm installing on a new computer right now, and am deliberating between getting the master branch again or the current develop branch..?
fran-penedo
@fran-penedo
develop
QHayward
@QHayward
It would be a bit sad to miss out on all the stuff that's been added in the last year since master has been merged, but I generally like to have really stable builds. If I grab the current develop, I'll probably be using it in its current state for a long time without updating
Is there like.. a relatively stable release of stable that I could use..?
I guess I'm a bit confused why master hasn't been merged in so long
fran-penedo
@fran-penedo
I don't think there is, and I would expect master to have quite a lot of issues at this point due to incompatibilities introduced in new package versions
Have you seen that also?
QHayward
@QHayward
Is everyone just periodically updating to develop then? I generally dislike updating out of fear that it will break something about my workflow when I'm in a crunch
so I tend to stick with whatever version of things I build my workflow around for a year or more
QHayward
@QHayward
Oh, I hadn't realized that develop being the 'default' branch in github meant it was the head. I guess I've been using develop all this time without realizing it then..?
fran-penedo
@fran-penedo
I'm not sure when they made develop default, so it depends how long ago it was. I'm currently updating develop every few months whenever I'm not in the middle of something or if I hit a bug that really annoys me
QHayward
@QHayward
Thank you, I appreciate your help and clarification
the current READ.me references the 'master branch' in a few places, which compounded with my preexisting misunderstanding